import request from '@/utils/request'

// 查询领导信箱列表
export function listMailbox(query) {
  return request({
    url: '/system/mailbox/list',
    method: 'get',
    params: query
  })
}

// 查询领导信箱详细
export function getMailbox(id) {
  return request({
    url: '/system/mailbox/' + id,
    method: 'get'
  })
}

// 新增领导信箱
export function addMailbox(data) {
  return request({
    url: '/system/mailbox',
    method: 'post',
    data: data
  })
}

// 修改领导信箱
export function updateMailbox(data) {
  return request({
    url: '/system/mailbox',
    method: 'put',
    data: data
  })
}

// 删除领导信箱
export function delMailbox(id) {
  return request({
    url: '/system/mailbox/' + id,
    method: 'delete'
  })
}
